#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%global __requires_exclude devel\\(libKF6
%define kontact_mobile 1

%define rel 1

Name:           kmail
Epoch:          2
Version: 24.12.2
Release:        %mkrel %{rel}
Summary:        Email client, supporting POP3 and IMAP mailboxes
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://apps.kde.org/kmail2/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6WebEngineWidgets)

BuildRequires:  cmake(Gpgmepp)

# Find KF6 package
BuildRequires:  cmake(KF6Bookmarks)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ItemViews)
BuildRequires:  cmake(KF6JobWidgets)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6Sonnet)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6Contacts)
BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KF6StatusNotifierItem)

# Find KdepimLibs Package
BuildRequires:  cmake(KPim6WebEngineViewer)
BuildRequires:  cmake(KPim6AkonadiSearch)
BuildRequires:  cmake(KPim6Akonadi)
BuildRequires:  cmake(KPim6AkonadiContactWidgets)
BuildRequires:  cmake(KPim6AkonadiMime)
BuildRequires:  cmake(KPim6CalendarUtils)
BuildRequires:  cmake(KPim6IdentityManagementCore)
BuildRequires:  cmake(KPim6LdapWidgets)
BuildRequires:  cmake(KPim6MailTransport)
BuildRequires:  cmake(KPim6TextEdit)
BuildRequires:  cmake(KPim6KontactInterface)
BuildRequires:  cmake(KPim6Mime)
BuildRequires:  cmake(KPim6Gravatar)
BuildRequires:  cmake(KPim6Libkdepim)
BuildRequires:  cmake(KPim6Libkleo)
BuildRequires:  cmake(KPim6KSieveUi)
BuildRequires:  cmake(KPim6MailCommon)
BuildRequires:  cmake(KPim6MessageCore)
BuildRequires:  cmake(KPim6MessageComposer)
BuildRequires:  cmake(KPim6MessageList)
BuildRequires:  cmake(KPim6MessageViewer)
BuildRequires:  cmake(KPim6PimCommonAkonadi)
BuildRequires:  cmake(KPim6TemplateParser)
BuildRequires:  cmake(KPim6Tnef)
BuildRequires:  cmake(KPim6MailTransportDBusService)
BuildRequires:  cmake(KPim6PimCommonActivities)

BuildRequires:  cmake(KF6TextEditTextToSpeech)
BuildRequires:  cmake(KF6TextAutoCorrectionWidgets)
BuildRequires:  cmake(KF6TextUtils)
BuildRequires:  cmake(KF6TextCustomEditor)
BuildRequires:  cmake(Qt6Keychain)

BuildRequires:  cmake(KF6UserFeedback)
BuildRequires:  pkgconfig(gpg-error)

Requires:       akonadi-kde
Requires:       akonadi-contacts
Requires:       akonadi-mime
Requires:       kmailtransport
Requires:       kdepim-addons
Requires:       sasl-plug-plain
Requires:       sasl-plug-ntlm
Requires:       sasl-plug-login
Requires:       sasl-plug-digestmd5
Requires:       kio6-pop3
Requires:       kio6-smtp
Requires:       messagelib
Requires:       baloo
Requires:       kwallet
Requires:       kmail-account-wizard
Requires:       qtwebengine6
Requires:       libkdepim
Requires:       ktexttemplate
Requires:       grantlee-editor
Requires:       pim-data-exporter
Requires:       pim-sieve-editor
Requires:       akonadi-import-wizard

Requires:       pinentry-qt6
Requires:       ksshaskpass
Recommends:     kmail-handbook
Recommends:     akonadi-calendar-tools
Recommends:     akonadi-calendar-common
Recommends:     sasl2-plugin-kdexoauth2


%description
Email client, supporting POP3 and IMAP mailboxes.

%files -f %name.lang
%_kf6_categoriesdir/kmail.categories
%_kf6_categoriesdir/kmail.renamecategories
%_kf6_bindir/akonadi_archivemail_agent
%_kf6_bindir/akonadi_followupreminder_agent
%_kf6_bindir/akonadi_mailfilter_agent
%_kf6_bindir/akonadi_mailmerge_agent
%_kf6_bindir/akonadi_sendlater_agent
%_kf6_bindir/akonadi_unifiedmailbox_agent
%_kf6_bindir/kmail
%_kf6_bindir/kmail-refresh-settings
%_kf6_datadir/kmail2/
%_qt6_plugindir/kmailpart.so
%_qt6_plugindir/pim6/akonadi/config/archivemailagentconfig.so
%_qt6_plugindir/pim6/akonadi/config/followupreminderagentconfig.so
%_qt6_plugindir/pim6/kcms/kmail/
%_qt6_plugindir/pim6/kcms/summary/kcmkmailsummary.so
%_kf6_metainfodir/org.kde.kmail2.appdata.xml
%_kf6_applicationsdir/kmail_view.desktop
%_kf6_applicationsdir/org.kde.kmail-refresh-settings.desktop
%_kf6_knotificationsdir/kmail2.notifyrc
%_kf6_applicationsdir/org.kde.kmail2.desktop
%_kf6_datadir/config.kcfg/kmail.kcfg
%_kf6_datadir/config.kcfg/archivemailagentsettings.kcfg
%_kf6_knotificationsdir/akonadi_archivemail_agent.notifyrc
%_kf6_knotificationsdir/akonadi_mailfilter_agent.notifyrc
%_kf6_knotificationsdir/akonadi_mailmerge_agent.notifyrc
%_kf6_knotificationsdir/akonadi_followupreminder_agent.notifyrc
%_kf6_knotificationsdir/akonadi_sendlater_agent.notifyrc
%_kf6_datadir/akonadi/agents/archivemailagent.desktop
%_kf6_datadir/akonadi/agents/followupreminder.desktop
%_kf6_datadir/akonadi/agents/mailfilteragent.desktop
%_kf6_datadir/akonadi/agents/mailmergeagent.desktop
%_kf6_datadir/akonadi/agents/sendlateragent.desktop
%_kf6_datadir/akonadi/agents/unifiedmailboxagent.desktop
%_kf6_datadir/dbus-1/interfaces/org.kde.kmail.kmail.xml
%_kf6_datadir/dbus-1/interfaces/org.kde.kmail.kmailpart.xml
%_kf6_datadir/dbus-1/services/org.kde.kmail.service
%_kf6_iconsdir/*/*/*/*

# Kontact integration
%_qt6_plugindir/pim6/kontact/kontact_kmailplugin.so
%_qt6_plugindir/pim6/kontact/kontact_summaryplugin.so
%_qt6_plugindir/pim6/kcms/summary/kcmkontactsummary.so

#------------------------------------------------------------------------------

%package -n ktnef
Summary:        TNEF Viewer/Extractor
Group:          Networking/Mail

Requires:       kwallet
Recommends:     kmail

%description -n ktnef
A TNEF Viewer/Extractor.

%files -n ktnef
%_kf6_bindir/ktnef
%_kf6_applicationsdir/org.kde.ktnef.desktop
%_kf6_iconsdir/*/*/*/*ktnef*

#------------------------------------------------------------------------------

%package handbook
Summary:        %name handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %name handbook.

%files handbook
%_kf6_docdir/HTML/*/*

#------------------------------------------------------------------------------

%define kmailprivate_major 6
%define libkmailprivate %mklibname kmailprivate %kmailprivate_major

%package -n %libkmailprivate
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libkmailprivate
KDEPIM library.

%files -n %libkmailprivate
%_kf6_libdir/libkmailprivate.so.%{kmailprivate_major}{,.*}

#------------------------------------------------------------------------------

%define mailfilteragentprivate_major 6
%define libmailfilteragentprivate %mklibname mailfilteragentprivate %mailfilteragentprivate_major

%package -n %libmailfilteragentprivate
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libmailfilteragentprivate
KDEPIM library.

%files -n %libmailfilteragentprivate
%_kf6_libdir/libmailfilteragentprivate.so.%{mailfilteragentprivate_major}{,.*}

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install
%find_lang %name --all-name


%changelog
* Tue Feb 11 2025 daviddavid <daviddavid> 2:24.12.2-1.mga10
+ Revision: 2147180
- New version 24.12.2

* Thu Jan 09 2025 daviddavid <daviddavid> 2:24.12.1-1.mga10
+ Revision: 2136581
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 2:24.12.0-1.mga10
+ Revision: 2123821
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 2:24.11.80-1.mga10
+ Revision: 2116378
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 2:24.08.3-1.mga10
+ Revision: 2114070
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 2:24.08.2-1.mga10
+ Revision: 2105569
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 2:24.08.1-1.mga10
+ Revision: 2097438
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 2:24.08.0-1.mga10
+ Revision: 2087630
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 2:24.07.90-1.mga10
+ Revision: 2085126
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 2:24.05.1-1.mga10
+ Revision: 2073234
- New version 24.05.1

* Wed Jun 05 2024 neoclust <neoclust> 2:24.05.0-1.mga10
+ Revision: 2069887
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 2:24.02.2-1.mga10
+ Revision: 2058639
- New version 24.02.2

* Mon Mar 25 2024 daviddavid <daviddavid> 2:24.02.0-3.mga10
+ Revision: 2052080
- switch to ksshaskpass

* Fri Mar 22 2024 daviddavid <daviddavid> 2:24.02.0-2.mga10
+ Revision: 2051424
- add back now available pinentry-qt6 runtime dependency

* Sat Mar 02 2024 neoclust <neoclust> 2:24.02.0-1.mga10
+ Revision: 2046580
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 2:24.01.95-1.mga10
+ Revision: 2037676
- New version 24.01.95

* Mon Feb 05 2024 daviddavid <daviddavid> 2:24.01.90-2.mga10
+ Revision: 2037269
- fix dependencies

* Tue Jan 23 2024 neoclust <neoclust> 2:24.01.90-1.mga10
+ Revision: 2033803
- New version 24.01.90

* Thu Jan 04 2024 neoclust <neoclust> 2:24.01.85-1.mga10
+ Revision: 2027528
- New version 24.01.85

* Wed Nov 22 2023 neoclust <neoclust> 2:24.01.75-1.mga10
+ Revision: 2009150
- New version 24.01.75

* Sat Sep 30 2023 neoclust <neoclust> 2:23.08.1-1.mga10
+ Revision: 1992374
- New version 23.08.1

* Thu Jun 01 2023 neoclust <neoclust> 2:23.04.1-2.mga9
+ Revision: 1960522
- Remove ktnef installed by default

* Sun May 28 2023 neoclust <neoclust> 2:23.04.1-1.mga9
+ Revision: 1959474
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 2:22.12.3-1.mga9
+ Revision: 1946511
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 2:22.12.2-1.mga9
+ Revision: 1941804
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 2:22.12.0-1.mga9
+ Revision: 1922925
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 2:22.11.90-1.mga9
+ Revision: 1911419
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 2:22.08.3-1.mga9
+ Revision: 1905271
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 2:22.08.1-1.mga9
+ Revision: 1886790
- New version 22.08.1

* Fri Sep 02 2022 neoclust <neoclust> 2:22.08.0-1.mga9
+ Revision: 1883459
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 2:22.04.3-1.mga9
+ Revision: 1873086
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 2:22.04.0-1.mga9
+ Revision: 1853979
- New version 22.04.0

* Thu Apr 21 2022 neoclust <neoclust> 2:22.03.90-1.mga9
+ Revision: 1852394
- New version 22.03.90

* Fri Apr 08 2022 wally <wally> 2:21.12.0-2.mga9
+ Revision: 1848126
- add upstream patch to fix build with GCC 12 (standard attributes in middle of decl-specifiers)
- rebuild for gpgme 1.17.1
- rebuild for gpgme 1.17.1
+ danf <danf>
- Fix broken URL

* Sat Jan 01 2022 neoclust <neoclust> 2:21.12.0-1.mga9
+ Revision: 1766052
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 2:21.04.1-1.mga9
+ Revision: 1724078
- New version 21.04.1

* Sun Apr 25 2021 neoclust <neoclust> 2:21.04.0-1.mga9
+ Revision: 1719683
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 2:20.12.3-2.mga9
+ Revision: 1698563
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 2:20.12.2-1.mga9
+ Revision: 1694093
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1655624
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 2:20.08.3-1.mga8
+ Revision: 1644010
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633826
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1627068
- New version 20.08.1

* Fri Aug 21 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1617391
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604133
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596866
- New version 20.04.2

* Mon May 18 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1585781
- New version 20.04.1

* Sun Apr 19 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1569721
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559336
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540915
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513306
- New version 19.12.2
+ wally <wally>
- build with new cmake macros
+ daviddavid <daviddavid>
- compile with -Wno-dev

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1466961
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457911
- New version 19.08.3

* Sat Sep 28 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447877
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1425004
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390459
- New version 19.04.0
- New version 19.04.00

* Fri Apr 12 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1389430
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1382630
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375625
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365582
- New version 18.12.2

* Sat Feb 02 2019 daviddavid <daviddavid> 2:18.12.1-2.mga7
+ Revision: 1362671
- require akonadi-mime (mga#24296)

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356517
- New version 18.12.1

* Mon Jan 07 2019 daviddavid <daviddavid> 2:18.12.0-3.mga7
+ Revision: 1350769
- requires kmailtransport
- recommends sasl2-plugin-kdexoauth2 (mga#23035)

* Mon Jan 07 2019 daviddavid <daviddavid> 2:18.12.0-2.mga7
+ Revision: 1350741
- requires ktnef, pim-sieve-editor and grantlee-editor

* Fri Dec 21 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1344143
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332755
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1327409
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1298581
- Mageia 7 Mass Rebuild

* Wed Jul 04 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1241713
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201906
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1194928
- New version 17.12.1

* Sun Jan 07 2018 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1191180
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1143057
- New version 17.08.0

* Fri Aug 11 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1139696
- Change recommends into requires for pinentry-qt5 (mga#21222)
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 2:17.04.3-2.mga7
+ Revision: 1133573
- Fix for new find_lang

* Fri Jul 28 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1131815
- New version 17.04.3

* Sat Jun 24 2017 luigiwalser <luigiwalser> 2:16.12.3-2.mga6
+ Revision: 1108346
- add upstream patch to fix CVE-2017-9604

* Thu Mar 09 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090553
- Add missing default requires (mga#20421)
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sun Jan 01 2017 daviddavid <daviddavid> 2:16.12.0-2.mga6
+ Revision: 1079113
- requires kdepim-addons

* Mon Dec 26 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1078065
- New version 16.12.0

* Mon Dec 19 2016 daviddavid <daviddavid> 2:16.11.90-7.mga6
+ Revision: 1076140
- requires qtwebengine5 (fixes mga#19982)
- do not build on armv5tl because of missing qtwebengine5

* Sun Dec 18 2016 neoclust <neoclust> 2:16.11.90-6.mga6
+ Revision: 1076013
- Fix default requires

* Sun Dec 18 2016 neoclust <neoclust> 2:16.11.90-5.mga6
+ Revision: 1075965
- Use pinentry-qt5

* Sat Dec 17 2016 daviddavid <daviddavid> 2:16.11.90-4.mga6
+ Revision: 1075773
- replace dependency messageviewer to messagelib
+ neoclust <neoclust>
- Use new qt5 openssh-askpass

* Thu Dec 15 2016 neoclust <neoclust> 2:16.11.90-3.mga6
+ Revision: 1075303
- Fix kwallet deps

* Wed Dec 14 2016 neoclust <neoclust> 2:16.11.90-2.mga6
+ Revision: 1075055
- Add back requires from old kmail spec file

* Wed Dec 14 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1075053
- imported package kmail

